#ifndef DEFINE_H
#define DEFINE_H

#include <stdint.h>

#ifdef __AVR__
  #define DEFAULT_REFRESH_RATE 32L
  #include <avr/io.h>
  #include <avr/interrupt.h>  /* for sei() */
  #include <util/delay.h>     /* for _delay_ms() */
  #include <avr/pgmspace.h>   /* required by usbdrv.h */
  #include <avr/eeprom.h>
  #include "usbdrv.h"
  #include "usbconst.h"

#else
  #define F_CPU 1
  #define DEFAULT_REFRESH_RATE 1
  #include <stdio.h>
  #define __PCTEST__\
    int r;\
    printf("Frame : %2d",animation.current_frame);\
    printf("   Actual Data : 0x%08x\n",animation.frames_data[animation.current_frame]);\
    printf("Row mask : 0x%01x ",row_out);\
    printf("   Column out : 0x%04x\n",col_out); \
    for( r = ((~ROW0)&0x7) ; r <= ((~ROW2)&0x7) ; r<<=1 )\
    {\
      if( r == ((~row_out)&0x7) )\
        printf("%d%d%d  %d%d%d  %d%d%d\n",\
           col_out      & 1 , col_out >> 1 & 1 , col_out >> 2 & 1 ,\
           col_out >> 3 & 1 , col_out >> 4 & 1 , col_out >> 5 & 1 ,\
           col_out >> 6 & 1 , col_out >> 7 & 1 , col_out >> 8 & 1 );\
      else\
        printf("000  000  000\n");\
    }\
    getchar();
#endif

#endif