#include "theqube.h"

const uint8_t ROW0 = 0x06;    // 0b110
const uint8_t ROW1 = 0x05;    // 0b101
const uint8_t ROW2 = 0x03 ;    // 0b011
const uint32_t ROW_FILTER   = 0x000001FF;    // 0b0000000111111111


void UpdateAnimation(Animation *anim)
{
  Frame fr = anim->frames_data[anim->current_frame];
  if(anim->onOutput)
  {
    anim->onOutput( ROW0 ,  fr         & ROW_FILTER );
    anim->onOutput( ROW1 , (fr >> 9  ) & ROW_FILTER );
    anim->onOutput( ROW2 , (fr >> 18 ) & ROW_FILTER );
  }

  anim->refresh_count++;
  if ( anim->refresh_count >= anim->refresh_rate )
  {
    anim->refresh_count = 0;
    if(anim->onEndFrame)
      anim->onEndFrame();
    anim->current_frame++;
    if ( anim->current_frame >= anim->total_frames )
      anim->current_frame = 0;
  }
}