#include "usbclass.h"

USBClass::USBClass()
{
}

USBClass::~USBClass()
{
  Disconnect();
}

int USBClass::Connect(uint16_t vendor_id, uint16_t product_id)
{
  if(libusb_init(&ctx))
    return -1;
  hdl = libusb_open_device_with_vid_pid(ctx,vendor_id,product_id);
  if(!hdl)
    return -2;
  if(libusb_claim_interface(hdl, 0))
    return -3;
  if(libusb_kernel_driver_active(hdl, 0))
    libusb_detach_kernel_driver(hdl, 0);
  return 0;
}

void USBClass::Disconnect()
{
  libusb_release_interface(hdl, 0);
  libusb_close(hdl);
  libusb_exit(ctx);
}

int USBClass::SendFrameData(uint8_t total_frames,Frame *frame_data)
{
  if (total_frames>0)
    return libusb_control_transfer(hdl,RQTYPE,VENDOR_RQ_SET_FRAME_DATA,total_frames,0,(uint8_t *)frame_data,sizeof(Frame)*total_frames,0);
  return -3000;
}

void USBClass::SaveAnimation()
{
  libusb_control_transfer(hdl,RQTYPE,VENDOR_RQ_SAVE_ANIMATION,0,0,0,0,0);
}