#ifndef USBCLASS_H
#define USBCLASS_H

#include <stdint.h>
#include <libusb.h>
#include "usbconst.h"
#include "theqube.h"

#define RQTYPE LIBUSB_REQUEST_TYPE_VENDOR | LIBUSB_RECIPIENT_DEVICE | LIBUSB_ENDPOINT_OUT

class USBClass
{
public:
	libusb_device_handle *hdl;
	libusb_context *ctx;

  USBClass();
  ~USBClass();
  int   Connect(uint16_t vendor_id, uint16_t product_id);
  void  Disconnect();
  int   SendFrameData(uint8_t total_frames,Frame *fr_data);
  void  SaveAnimation();
};

#endif